On Fri, 4 Feb 2005 14:23:39 +0900, Bill Guindon <agorilla / gmail.com> wrote:
> On Fri, 4 Feb 2005 13:22:29 +0900, tony summerfelt
> <snowzone5 / hotmail.com> wrote:
> > On Fri, 4 Feb 2005 05:17:33 +0900, you wrote:
> >
> > >> >http://rubyforge.org/frs/download.php/2851/aeditor-2.3.tar.gz
> >
> > >> is there a windows binary for this?
> >
> > >Im sorry, there is no binary for windows.  Im developing on linux.
> 
> It's still pure ruby tho', no?

version 2.3 is no longer pure Ruby, I had to write a ncursesw wrapper.
previously I used ruby-dl to wrap the library, but it consumed too much
memory.


> > has anybody gotten this to work under windows?
> 
> I've got version 1.9 running here (WinXP), but it does have some
> dependencies - fox toolkit, fxruby, and iterator.

version 2.x is written entirely from scratch and only depends on
libncursesw and ruby. No dependencies to fox, fxruby and iterator.
So I guess that version 2.x is pretty much restricted to unix (sorry
about that).

version 2.x still need a few features before version 1.9 can be abandoned.
for instance it lacks syntax coloring.


> Simon, no rpa package for it yet?  one in the works?

previously batsman has been kind to make rpa packages for me.
maybe I should investigate how to make one myself.


btw: where is batsman?

--
Simon Strandgaard